  About Draggin' Viewer
  ---------------------

  Welcome to Draggin' Viewer (DV), Shareware Version 2.05!  Draggin' Viewer
  is a drag & drop file viewer/program launcher utility for Microsoft
  Windows, Version 3.1 or later. (Sorry, this application will not work
  with Windows 3.0 or earlier.)  

  DV appears as an icon on the Desktop.  Select one or file names in the 
  Windows File Manager, or other drag & drop server.  Drag the names to the
  Draggin' Viewer icon, and the files will be opened for viewing or editing
  in their originating applications, or in the program "associated" with
  their filename extension in Windows.  If there is no associated 
  application, the file will be opened in Windows Notepad or Write, depend-
  ing on its size.  (Notepad is limited to text files of less than about 
  48500 bytes.)

  Executable files are handled as follows:  Files with .EXE and .COM 
  extensions will "launch", or start-up; files with the .BAT extension 
  (DOS batch files) will be opened in Notepad or Write, as above, and .PIF
  files will be opened in the PIF Editor. 

  Options for Draggin' Viewer are accessed by clicking on the icon and
  selecting an item from the system menu.  One option is the ability to
  launch the Windows File Manager at the same time as Draggin' Viewer.

  This release is a major update of Draggin' Viewer.  The major enhancement
  is the ability to start all applications associated to files, as well as
  Notepad, Write and Pif Editor.  Another feature is that DV will warn the
  user if he/she is about to open a Windows library or a file containing
  non-ASCII characters in an ASCII file editor.  Since changes to a library
  or any other binary file can be disasterous, VB Expressions recommends
  cancelling the file open.


  Draggin' Viewer Installation
  ---------------------------- 
  
  The archive file you just unzipped, DRAGGN.ZIP, contains this file 
  and the file DVV205S.ZIP. Copy DVV200S.ZIP to a temporary directory, 
  and unzip it.  It will create the following files:
  
    Name            Size    Date     Time  
  ------------  --------  -------- --------
  DRAGGIN.EXE      19033  02-21-94 11:19p
  SUBEZ.VBX        17408  03-11-93  4:09a
  

  Copy DRAGGIN.EXE to your Microsoft Windows default directory, normally
  named \WINDOWS. SUBEZ.VBX is a support file for Draggin' Viewer; copy it
  to your \WINDOWS\SYSTEM directory. We recommend the use of the Windows File
  Manager for these tasks, and would NOT overwrite a file of the same name 
  but with later dates.

  Windows Write, Windows Notepad, the File Manager and the PIF Editor must 
  be in a directory in your DOS path for Draggin' Viewer to function 
  properly.

  One additional support file is required to use Draggin' Viewer 2.05: 
  VBRUN300.DLL, the runtime module for Visual Basic 3.0. If you run any 
  other Visual Basic 3.0 programs, you have this file, probably in your
  \WINDOWS or \WINDOWS\SYSTEM directory.  Otherwise, VBRUN300.DLL is 
  available from the same BBS, on-line system or software distributor where
  you obtained DRAGGN.EXE.

  To execute Draggin' Viewer, add its icon to a Program Manager Program 
  Group, or click on DRAGGIN.EXE in File Manager. If you use Draggin' Viewer
  to launch File Manager, you might want to change the Draggin' Viewer icon
  to a File Manager icon.  Do this by clicking "Change Icon..." from the
  Program Manager Properties box, and specifying "WINFILE.EXE" in the "File
  Name" input box.  Then choose your favorite File Manager icon!


  NOTES ABOUT THIS VERSION
  ------------------------

  1.  The ability to open all registered and associated Windows applications
      is the major enhancement of Version 2.05 of Draggin' Viewer.  The
      performance of this feature depends on your applications and their
      programmers.

      "Proper" Windows 3.1 apps will register themselves in the registration
      database, along with instructions for Windows on how to start the 
      application and load files. For instance, when multiple .SAM or .XLS
      files are dragged onto the DV icon, Version 3.0 of Ami Pro and Version
      4.0 of Excel know how to load the files as child windows, even if they
      are already active.  However, Halo Desktop Imager (a drag & drop 
      client like DV, by the way) will load only the first file, then pop up
      a dialog box telling you the application is already loaded.

      If your programs allow multiple allow multiple copies (instances,
      really) of themselves to run, like Notepad, Write, PaintBrush and
      Sound Recorder, then DV will start as many copies of the programs as
      files dropped.

      If you don't like the way DV works with a particular applications'
      files, I would encourage you to contact the publisher of that app,
      asking them to conform to Windows standards more closely.  The
      apparent difference is the DDE support in the application. 

      It is impossible for VB Expressions to a anticipate all the behaviors
      of your apps.  However, we think you will pleased with the behavior 
      of DV with most Windows applications.

  2.  I believe this version of Draggin' Viewer to have significant 
      advantages over its competition.  This program support all files
      you have associated in File Manager.  You never have to upgrade 
      Draggin' Viewer if you upgrade your applications with a new file
      format.  When you use Draggin' Viewer, you are ready to edit the file
      you wanted to view.

  3.  Draggin' Viewer is a drag & drop client.  The Windows File Manager is
      the most available drag & drop server.  This version of Draggin' 
      Viewer gives you to option to start File Manager with the Draggin'
      Viewer application. Draggin' Viewer defaults to start up the File
      Manager; to change this option, uncheck the "Start File Manager"
      option in the Draggin' Viewer System Menu. Draggin' Viewer will store
      the last setting of "Start File Manager" when closed normally (turning
      off your computer before exiting is bad Windows hygiene!) in the file 
      DRAGGIN.INI and restore the setting when restarted. 

  4.  Draggin' Viewer initially defaults to "Always On Top" mode. This keeps
      it visible when another window covers it.  If you are annoyed by holes
      in your maximized documents, toggle "Always On Top" off by clicking
      the System Menu option.  Draggin' Viewer will also store the last 
      setting of "Always On Top" in the file DRAGGIN.INI, and restore it
      on start-up.

  5.  Close Draggin' Viewer by clicking on "Close" from the System Menu.

  6.  Help can be obtained by selecting "Help..." from the System Menu.

  7.  Adding PIF Editor launching to Draggin' Viewer "corrects" a Windows
      problem: clicking on a .PIF file will launch the DOS program the .PIF
      file describes, rather than the PIF Editor. With Draggin' Viewer's
      ability to launch .BAT files for editing, one can edit both the .PIF
      and the .BAT files needed to control non-Windows programs. 
      
  8.  Users of the version 1.00S of Draggin' Viewer have a file named 
      SYSMENU.DLL in their \WINDOWS\SYSTEM directory.  You may delete this
      file IF and ONLY IF Draggin' Viewer is the only program you have that  
      uses it (which is likely.)  SUBEZ.VBX performs the function previously
      provided by SYSMENU.DLL.

  9.  The Windows libraries that DV warns about before opening are files
      with extensions: .DLL, .DRV, .VXD, .FON, .CPL, .386, .FOT, .TTF,
      .GRP, .VBX, .2GR and .3GR and .SCR.  Note that this last is for 
      screen-savers - certain applications may use this extension for 
      SCRipt files, which will PROBABLY open as a proper text file.

  NOTICE
  ------

  Draggin' Viewer is NOT Public Domain or Freeware.  Please REGISTER
  Draggin' Viewer if you use it beyond a fifteen day trial period.  
  Send your (modest) $5 registration fee to:
   
                         VB Expressions 
                         64 Burning Brush Drive
                         Rochester, NY 14650-4642.
 
  Kindly include the Version number and the source where you got Draggin'
  Viewer. Registrants of Version 1.00S, 1.10S, 1.20S, 1.20SE or 2.00S need
  not re-register; your support is greatly appreciated.
 
 You can also look for other VB Expressions utilities: additional Desktop 
 Assistants (like Draggin' Viewer) include Printer's Daemon, a drag-and-drop
 file printing utility, and Trash Free-K!, a drag-and-drop file deletion
 utility. Smartclp is a Windows Clipboard enhancer, PM Fonts allows you
 to change your Program Manager fonts from the Microsoft default to any
 installed screen font and PM Group Sorter allows you to choose the order
 of your Program Manager Groups. Good stuff (if we may say so ourselves!)

  We'd be interested in your comments or suggestions on Draggin' Viewer. 
  You can reach us by Email on CompuServe, ID 73457,3603.

-------------------------------------------------------------------------------
       Draggin' Viewer - Copyright 1992,1993,1994 by P.M. Chefalo
 

  Revision History
  ----------------

  Version 1.00S - First Shareware Version

  Version 1.10S - Added .PIF file launching of PIF Editor. Updated to Visual
                  Basic 2.0.  Moved "Help..." to system menu.  Corrected 
                  "bad behavior" when Draggin' Viewer caption was clicked, 
                  or when Draggin' Viewer was switched to by Task Manager.
                  Added .INI file capability to restore last "Always On Top"
                  setting. Added Win 3.0 detection and error message.
                  Switched to SUBEZ.VBX for system menu support. 

  Version 1.20S - Added File Manager launching capability.  Changed Notepad/
                  Write select point to 48500 bytes, due to further 
                  experience.

  Version 1.20SE - Special Edition of Draggin' Viewer created especially for the 	
		   WinOnLine Review, Shareware Edition.  The normal DV icon
                   was replaced (most of the time) by a WOLR icon.

  Version 2.00S - Upgraded to Visual Basic 3.0.  Added ability to launch
                  programs other than Notepad, Write and PIF Editor.  Added
                  checking for library or non-ASCII files.

  Version 2.05S - Corrected flaws on opening files associated with Notepad,
                  in detection of size and non-Ascii characters, and Windows
                  libraries with non-File Manager drag & drop servers.